%define rname stop-or-reload
%define cid \{61D0D7AF-4FF6-476a-B68F-6531F613A6D8\}
%define ciddir %firefox_noarch_extensionsdir/%cid

Name: %firefox_name-%rname
Version: 0.2.2
Release: alt2
Summary: Stop-or-Reload Button

License: MIT
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/313

Source0: %rname.xpi
Source1: install.rdf

BuildArch: noarch
BuildRequires: rpm-build-firefox unzip

Packager: Igor Zubkov <icesik@altlinux.org>

%description
Turns the stop and reload buttons into a single one. When you can stop, you
have a Stop button, otherwise you have a Reload button. (Like Safari)

%prep
%setup -c
cp %SOURCE1 .

%install
mkdir -p %buildroot/%ciddir
cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Mon Jan 25 2010 Igor Zubkov <icesik@altlinux.org> 0.2.2-alt2
- update for firefox 3.6

* Fri Jul 31 2009 Igor Zubkov <icesik@altlinux.org> 0.2.2-alt1
- build


